Skip to main content
`Ctrl`+`K`

# DMPlexCreateTwoSidedProcessSF

Create an `PetscSF` which just has process connectivity

## Synopsis

    #include "petscdmplex.h"
    #include "petscdmlabel.h"
    PetscErrorCode DMPlexCreateTwoSidedProcessSF(DM dm, PetscSF sfPoint, PetscSection rootRankSection, IS rootRanks, PetscSection leafRankSection, IS leafRanks, PeOp IS *processRanks, PeOp PetscSF *sfProcess)

Collective

## Input Parameters

- dm - The `DM`

- sfPoint - The `PetscSF` which encodes point connectivity

- rootRankSection - to be documented

- rootRanks - to be documented

- leafRankSection - to be documented

- leafRanks - to be documented

## Output Parameters

- processRanks - A list of process neighbors, or `NULL`

- sfProcess - An `PetscSF` encoding the two-sided process connectivity, or `NULL`

## See Also

`DMPLEX`, `PetscSFCreate()`, `DMPlexCreateProcessSF()`

## Level

developer

## Location

src/dm/impls/plex/plexdistribute.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages